<template>
  <div id="gift-wrapper">
    <div id="content-wrapper" class="p-5">
      <div id="title" class="flex items-center gap-5">
        <img :src="gift.logo" />
        <div class="text-tiny" id="head-content">
          <div class="font-bold">{{ gift.title }}</div>
          <div class="flex gap-5 font-semibold text-black-200">
            <span class="flex-1"> Update: {{ gift.date_updated }} </span>
            <span> {{ gift.time }}</span>
          </div>
        </div>
      </div>
      <div id="card-img" class="flex justify-center my-5" style="height: 206px">
        <img :src="gift.img" class="object-cover w-full rounded-lg" />
      </div>
      <div id="product-name" class="text-xl font-semibold">
        {{ gift.product_name }}
      </div>
    </div>
    <div
      id="new-tag"
      v-if="gift.tag"
      class="
        absolute
        right-0
        px-5
        py-1
        font-semibold
        text-white
        top-3
        text-tiny
      "
    >
      NEW!
    </div>
  </div>
</template>

<script>
export default {
  props: {
    gift: {
      type: Object,
      default: {},
    },
  },
}
</script>

<style lang="scss" scoped></style>
